#================ ObelixFHD_MenuIcon =============

from Components.Converter.Converter import Converter
from Components.Element import cached
from Tools.LoadPixmap import LoadPixmap

class ObelixFHD_MenuIcon(Converter, object):
	def __init__(self, type):
		Converter.__init__(self, type)
		self.defaultIcon = type
		
	@cached
	def getPixmap(self):
		
		png = None
		
		#MenuIcons ueber MenuEntryID
		try:
			menuEntryID = str(self.source.current[2])
			
			if menuEntryID.startswith("vti_") and menuEntryID != "vti_config_helper" and menuEntryID != "vti_panel":
				png = LoadPixmap(cached=True, path="/usr/share/enigma2/ObelixFHD/MyIcons/Menu_Icons/vti_x.png")
			else:	
				png = LoadPixmap(cached=True, path="/usr/share/enigma2/ObelixFHD/MyIcons/Menu_Icons/" + menuEntryID + ".png")
		except:
			pass
		
		#defaultIcon
		if not png:
			if not self.defaultIcon:
				self.defaultIcon = "Undefined.png"
				
			png = LoadPixmap(cached=True, path="/usr/share/enigma2/ObelixFHD/MyIcons/Menu_Icons/" + self.defaultIcon)
			
		return png
	
	pixmap = property(getPixmap)
	
	def selChanged(self):
		self.downstream_elements.changed((self.CHANGED_ALL, 0))	

	def changed(self, what):
		if what[0] == self.CHANGED_DEFAULT:
			self.source.onSelectionChanged.append(self.selChanged)
		Converter.changed(self, what)
	
# =========================================================
