#================ ObelixFHD_VideoSize =============

from Components.Converter.Converter import Converter
from Components.Element import cached
from enigma import iServiceInformation, iPlayableService

class ObelixFHD_VideoSize(Converter, object):
	
	def __init__(self, type):
		Converter.__init__(self, type)
		self.type = type

	@cached
	def getText(self):
		
		service = self.source.service
		info = service and service.info()
		
		if info:
			X = info.getInfo(iServiceInformation.sVideoWidth)
			Y = info.getInfo(iServiceInformation.sVideoHeight)
			P = ("i", "p", "")[info.getInfo(iServiceInformation.sProgressive)]
			
			if X > 0 and Y > 0:
				if self.type == "VideoSizeShort":
					return str(Y) + P
				if self.type == "VideoSizeLong":
					return str(X) + " x " + str(Y)
			
		return "---"
	
	text = property(getText)
	
	
	@cached
	def getBoolean(self):
		
		service = self.source.service
		info = service and service.info()
		
		if info:
			Y = info.getInfo(iServiceInformation.sVideoHeight)
			
			if self.type == "IsVideoSizeNone" and Y <= 0:
				return True
			if self.type == "IsVideoSizeSD" and Y > 0 and Y < 720:
				return True
			if self.type == "IsVideoSizeHD" and Y >= 720 and Y < 1080:
				return True
			if self.type == "IsVideoSizeFHD" and Y >= 1080 and Y < 2160:
				return True
			if self.type == "IsVideoSizeUHD" and Y >= 2160:
				return True
				
		return False

	boolean = property(getBoolean)
	
# =========================================================
